Public Attributes | List of all members
adc_trim_info_t Struct Reference
Peripheral Driver » HAL Driver » ADC » Structures

ADC trim parameter information definition. More...

`#include <gr55xx_hal_adc.h>`

## Public Attributes
uint16_t | offset_int_0p8
uint16_t | slope_int_0p8
uint16_t | offset_int_1p2
uint16_t | slope_int_1p2
uint16_t | offset_int_1p6
uint16_t | slope_int_1p6
uint16_t | offset_int_2p0
uint16_t | slope_int_2p0
uint16_t | offset_ext_1p0
uint16_t | slope_ext_1p0
uint16_t | adc_temp
uint16_t | temp_ref

## Detailed Description

ADC trim parameter information definition.

Definition at line 97 of file gr55xx_hal_adc.h.

## Member Data Documentation

## ◆ adc_temp

uint16_t adc_trim_info_t::adc_temp

ADC TEMP.

Definition at line 109 of file gr55xx_hal_adc.h.

## ◆ offset_ext_1p0

uint16_t adc_trim_info_t::offset_ext_1p0

External reference 1.0v.

Definition at line 107 of file gr55xx_hal_adc.h.

## ◆ offset_int_0p8

uint16_t adc_trim_info_t::offset_int_0p8

Internal reference 0.8v.

Definition at line 99 of file gr55xx_hal_adc.h.

## ◆ offset_int_1p2

uint16_t adc_trim_info_t::offset_int_1p2

Internal reference 1.2v.

Definition at line 101 of file gr55xx_hal_adc.h.

## ◆ offset_int_1p6

uint16_t adc_trim_info_t::offset_int_1p6

Internal reference 1.6v.

Definition at line 103 of file gr55xx_hal_adc.h.

## ◆ offset_int_2p0

uint16_t adc_trim_info_t::offset_int_2p0

Internal reference 2.0v.

Definition at line 105 of file gr55xx_hal_adc.h.

## ◆ slope_ext_1p0

uint16_t adc_trim_info_t::slope_ext_1p0

External reference 1.0v.

Definition at line 108 of file gr55xx_hal_adc.h.

## ◆ slope_int_0p8

uint16_t adc_trim_info_t::slope_int_0p8

Internal reference 0.8v.

Definition at line 100 of file gr55xx_hal_adc.h.

## ◆ slope_int_1p2

uint16_t adc_trim_info_t::slope_int_1p2

Internal reference 1.2v.

Definition at line 102 of file gr55xx_hal_adc.h.

## ◆ slope_int_1p6

uint16_t adc_trim_info_t::slope_int_1p6

Internal reference 1.6v.

Definition at line 104 of file gr55xx_hal_adc.h.

## ◆ slope_int_2p0

uint16_t adc_trim_info_t::slope_int_2p0

Internal reference 2.0v.

Definition at line 106 of file gr55xx_hal_adc.h.

## ◆ temp_ref

uint16_t adc_trim_info_t::temp_ref

ADC TEMP reference temperature.

Definition at line 110 of file gr55xx_hal_adc.h.

The documentation for this struct was generated from the following file:

- gr55xx_hal_adc.h